/** @file
 * $Source: /repository/event/AlgorithmInfo.cpp,v $
 * $Id: AlgorithmInfo.cpp,v 1.1 2008-01-11 17:14:20 messineo Exp $
 * $Author: messineo $
 * 
 * Implementation of the default functions of the Algorithm class.
 */
extern "C" {
#include <string.h>
}

#include "Algorithm.h"
#include "AlgorithmInfo.h"

using namespace pamela;

AlgorithmInfo::AlgorithmInfo(void) {
}

AlgorithmInfo::AlgorithmInfo(const Algorithm* algo) :
  AlgorithmName(algo->GetAlgorithmName().c_str()),
  AlgorithmClass(algo->GetName()),
  VersionInfo(algo->GetVersionInfo().c_str()) {
}
  
AlgorithmInfo::~AlgorithmInfo() {
}


ClassImp(AlgorithmInfo)
